# $Revision: 1.7 $, $Date: 2010/04/13 16:05:47 $
Summary:	Proxy Tunnel ssh-over-https hack
Summary(pl.UTF-8):	Tunel proxy ssh-po-https
Name:		proxytunnel
Version:	1.9.0
Release:	0.2
License:	GPL
Group:		Applications
Source0:	http://dl.sourceforge.net/proxytunnel/%{name}-%{version}.tgz
# Source0-md5:	d74472b89c3f3b3b0abf6bd809ae34c2
URL:		http://proxytunnel.sourceforge.net/
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ProxyTunnel is a program that connects stdin and stdout to a server
somewhere on the network, through a standard HTTPS proxy. We mostly
use it to tunnel SSH sessions through HTTP(S) proxies, allowing us to
do many things that wouldn't be possible without ProxyTunnel.
ProxyTunnel can currently do the following:
- Create tunnels using HTTP and HTTPS proxies (That understand the
  HTTP CONNECT command).
- Work as a back-end driver for an OpenSSH client, and create SSH
  connections through HTTP(S) proxies.
- Work as a stand-alone application, listening on a port for
  connections, and then tunneling these connections to a specified
  destination.

%description -l pl.UTF-8
ProxyTunnel to program łączący stdin i stdout do serwera gdzieś w
sieci poprzez standardowe proxy HTTPS. Jest używany głównie do
tunelowania sesji SSH poprzez proxy HTTP(S), co pozwala na robienie
wielu rzeczy, które nie byłyby możliwe bez niego. ProxyTunnel
aktualnie potrafi:
- tworzyć tunele przy użyciu proxy HTTP i HTTPS (rozumiejących
  polecenie HTTP CONNECT),
- działać jako sterownik backendu dla klienta OpenSSH i tworzyć
  połączenia SSH poprzez proxy HTTP(S),
- działać jako samodzielna aplikacja, nasłuchując na jakimś porcie na
  połączenia, a następnie tunelując te połączenia na podany adres.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags} `pkg-config --libs openssl`"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	PREFIX=$RPM_BUILD_ROOT%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CREDITS CHANGES README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: proxytunnel.spec,v $
Revision 1.7  2010/04/13 16:05:47  radek
- release 0.2: rebuild with new libcrypto/libssl

Revision 1.6  2008/10/20 17:51:11  qboosh
- no macros in constant part of URL (aka gpm-friendliness)
- BR: openssl-devel, pkgconfig

Revision 1.5  2008/10/19 11:01:10  radek
- version 1.9.0

Revision 1.4  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:27  baggins
- converted to UTF-8

Revision 1.2  2005/08/28 10:21:53  qboosh
- pl

Revision 1.1  2005/08/28 08:18:20  areq
- Init PLD spec
